Welcome! Log In Create A New Profile

Advanced

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills
June 18, 2009 07:17AM
On Thu, 2009-06-18 at 11:41 +0400, Igor Sysoev wrote:

> You should use just:
>
> locaiton ~ ^/~([^/]+)(/?.*)$) {
> alias /home/$1/public_html/$2;
> autoindex on;
> }

will this work since the $homedir part was set in an earlier location.

or you are saying this is a replacement for all the blocks of code I had
before ?

Best Regards

Jools
Subject Author Posted

Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 17, 2009 06:37PM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

edogawaconan June 17, 2009 10:33PM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 18, 2009 02:43AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

edogawaconan June 18, 2009 03:09AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 18, 2009 07:22AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 18, 2009 03:41AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

edogawaconan June 18, 2009 04:13AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 18, 2009 04:21AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

edogawaconan June 18, 2009 04:39AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 18, 2009 04:46AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 18, 2009 07:17AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 18, 2009 07:34AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Jools Wills June 20, 2009 11:27AM

Re: Error with config when upgrading from 0.6.34 to 0.7.59 (the "alias" directive must use captures inside location given by regular expression)

Igor Sysoev June 20, 2009 11:38AM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 107
Record Number of Users: 8 on April 13, 2023
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready